Package icyllis.arc3d.core

# Interface PathStroker.Joiner

Enclosing class:
  `PathStroker`

public static interface PathStroker.Joiner

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ANGLE_ACUTE`
  `static final int`
  `ANGLE_NEARLY_0`
  `static final int`
  `ANGLE_NEARLY_180`
  `static final int`
  `ANGLE_NEARLY_90`
  `static final int`
  `ANGLE_OBTUSE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `doBevelJoin(PathConsumer outer, PathConsumer inner, float beforeUnitNormalX, float beforeUnitNormalY, float pivotX, float pivotY, float afterUnitNormalX, float afterUnitNormalY, float radius, float invMiterLimit, boolean prevIsLine, boolean currIsLine)`
  `static void`
  `doBezierApproxForArc(PathConsumer path, float beforeX, float beforeY, float pivotX, float pivotY, float afterX, float afterY, float k)`
  `static void`
  `doBezierApproxForArc(PathConsumer path, float beforeUnitNormalX, float beforeUnitNormalY, float pivotX, float pivotY, float afterUnitNormalX, float afterUnitNormalY, float radius, boolean ccw)`
  `static void`
  `doMiterJoin(PathConsumer outer, PathConsumer inner, float beforeUnitNormalX, float beforeUnitNormalY, float pivotX, float pivotY, float afterUnitNormalX, float afterUnitNormalY, float radius, float invMiterLimit, boolean prevIsLine, boolean currIsLine)`
  `static void`
  `doRoundJoin(PathConsumer outer, PathConsumer inner, float beforeUnitNormalX, float beforeUnitNormalY, float pivotX, float pivotY, float afterUnitNormalX, float afterUnitNormalY, float radius, float invMiterLimit, boolean prevIsLine, boolean currIsLine)`
  `static PathStroker.Joiner`
  `get(int join)`
  `static boolean`
  `isCCW(float beforeX, float beforeY, float afterX, float afterY)`
  `void`
  `join(PathConsumer outer, PathConsumer inner, float beforeUnitNormalX, float beforeUnitNormalY, float pivotX, float pivotY, float afterUnitNormalX, float afterUnitNormalY, float radius, float invMiterLimit, boolean prevIsLine, boolean currIsLine)`

- ## Field Details

  - ### ANGLE_NEARLY_0

    static final int ANGLE_NEARLY_0
    See Also:
      - Constant Field Values

  - ### ANGLE_ACUTE

    static final int ANGLE_ACUTE
    See Also:
      - Constant Field Values

  - ### ANGLE_NEARLY_180

    static final int ANGLE_NEARLY_180
    See Also:
      - Constant Field Values

  - ### ANGLE_OBTUSE

    static final int ANGLE_OBTUSE
    See Also:
      - Constant Field Values

  - ### ANGLE_NEARLY_90

    static final int ANGLE_NEARLY_90
    See Also:
      - Constant Field Values

- ## Method Details

  - ### join

    void join(PathConsumer outer, PathConsumer inner, float beforeUnitNormalX, float beforeUnitNormalY, float pivotX, float pivotY, float afterUnitNormalX, float afterUnitNormalY, float radius, float invMiterLimit, boolean prevIsLine, boolean currIsLine)

  - ### get

    static PathStroker.Joiner get(int join)

  - ### isCCW

    @Contract(pure=true) static boolean isCCW(float beforeX, float beforeY, float afterX, float afterY)

  - ### doMiterJoin

    static void doMiterJoin(PathConsumer outer, PathConsumer inner, float beforeUnitNormalX, float beforeUnitNormalY, float pivotX, float pivotY, float afterUnitNormalX, float afterUnitNormalY, float radius, float invMiterLimit, boolean prevIsLine, boolean currIsLine)

  - ### doRoundJoin

    static void doRoundJoin(PathConsumer outer, PathConsumer inner, float beforeUnitNormalX, float beforeUnitNormalY, float pivotX, float pivotY, float afterUnitNormalX, float afterUnitNormalY, float radius, float invMiterLimit, boolean prevIsLine, boolean currIsLine)

  - ### doBezierApproxForArc

    static void doBezierApproxForArc(PathConsumer path, float beforeUnitNormalX, float beforeUnitNormalY, float pivotX, float pivotY, float afterUnitNormalX, float afterUnitNormalY, float radius, boolean ccw)

  - ### doBezierApproxForArc

    static void doBezierApproxForArc(PathConsumer path, float beforeX, float beforeY, float pivotX, float pivotY, float afterX, float afterY, float k)

  - ### doBevelJoin

    static void doBevelJoin(PathConsumer outer, PathConsumer inner, float beforeUnitNormalX, float beforeUnitNormalY, float pivotX, float pivotY, float afterUnitNormalX, float afterUnitNormalY, float radius, float invMiterLimit, boolean prevIsLine, boolean currIsLine)